Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.util.zip
Class InflaterInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.FilterInputStream
                  |
                  +--com.sun.jimi.util.zip.InflaterInputStream

public class InflaterInputStream
extends java.io.FilterInputStream

This class implements a stream filter for uncompressing data in the "deflate" compression format. It is also used as the basis for other decompression filters, such as GZIPInputStream.

See Also:
  `Inflater`

Field Summary
`protected byte[]` | `buf` Input buffer for decompression.
`protected Inflater` | `inf` Decompressor for this stream.
`protected int` | `len` Length of input buffer.

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`InflaterInputStream(java.io.InputStream in)` Creates a new input stream with a default decompressor and buffer size.
`InflaterInputStream(java.io.InputStream in, Inflater inf)` Creates a new input stream with the specified decompressor and a default buffer size.
`InflaterInputStream(java.io.InputStream in, Inflater inf, int size)` Creates a new input stream with the specified decompressor and buffer size.

Method Summary
`protected void` | `fill()` Fills input buffer with more data to decompress.
`int` | `read()` Reads a byte of uncompressed data.
`int` | `read(byte[] b, int off, int len)` Reads uncompressed data into an array of bytes.
`long` | `skip(long n)` Skips specified number of bytes of uncompressed data.

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, read, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inf

    protected Inflater inf

  Decompressor for this stream.

### buf

    protected byte[] buf

  Input buffer for decompression.

### len

    protected int len

  Length of input buffer.

Constructor Detail

### InflaterInputStream

    public InflaterInputStream(java.io.InputStream in,
                               Inflater inf,
                               int size)

  Creates a new input stream with the specified decompressor and buffer size.
  Parameters:
    `in` - the input stream
    `inf` - the decompressor ("inflater")
    `size` - the input buffer size

### InflaterInputStream

    public InflaterInputStream(java.io.InputStream in,
                               Inflater inf)

  Creates a new input stream with the specified decompressor and a default buffer size.
  Parameters:
    `in` - the input stream
    `inf` - the decompressor ("inflater")

### InflaterInputStream

    public InflaterInputStream(java.io.InputStream in)

  Creates a new input stream with a default decompressor and buffer size.

Method Detail

### read

    public int read()
             throws java.io.IOException

  Reads a byte of uncompressed data. This method will block until enough input is available for decompression.
  Returns:
    the byte read, or -1 if end of compressed input is reached
  Throws:
    java.io.IOException - if an I/O error has occurred
  Overrides:
    read in class java.io.FilterInputStream

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Reads uncompressed data into an array of bytes. This method will block until some input can be decompressed.
  Parameters:
    `b` - the buffer into which the data is read
    `off` - the start offset of the data
    `len` - the maximum number of bytes read
  Returns:
    the actual number of bytes read, or -1 if the end of the compressed input is reached or a preset dictionary is needed
  Throws:
    DataFormatException - if a ZIP format error has occurred
    java.io.IOException - if an I/O error has occurred
  Overrides:
    read in class java.io.FilterInputStream

### skip

    public long skip(long n)
              throws java.io.IOException

  Skips specified number of bytes of uncompressed data.
  Parameters:
    `n` - the number of bytes to skip
  Returns:
    the actual number of bytes skipped.
  Throws:
    java.io.IOException - if an I/O error has occurred
  Overrides:
    skip in class java.io.FilterInputStream

### fill

    protected void fill()
                 throws java.io.IOException

  Fills input buffer with more data to decompress.
  Throws:
    java.io.IOException - if an I/O error has occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD